# Copyright 2006, Google, Inc.

# This software is provided as an example of using the Ruby interface
# to SketchUp.

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------

require 'sketchup.rb'
require 'LangHandler.rb'

module UnitsWizard

	def UnitsWizard::init()

		help_contents_dir = LanguageHandler::GetHelpContentDir();
		
		load(help_contents_dir + "/units.rb");

		popWizard = Sketchup.read_default("Google SketchUp SetUnits Wizard", "ShowOnStartUp", true);
		if(popWizard)
			UnitsWizard::units_wizard();
		end

		Sketchup.write_default("Google SketchUp SetUnits Wizard", "ShowOnStartUp", false);
	end
end

UnitsWizard::init();

